Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(1758)

Side by Side Diff: chrome/installer/linux/rpm/build.sh

Issue 2271063004: Linux: Remove old installer dependency on libcurl. (Closed) Base URL: https://chromium.googlesource.com/chromium/src.git@master
Patch Set: Created 4 years, 4 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View unified diff | Download patch
« no previous file with comments | « chrome/installer/linux/debian/build.sh ('k') | no next file » | no next file with comments »
Toggle Intra-line Diffs ('i') | Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
OLDNEW
1 #!/bin/bash 1 #!/bin/bash
2 # 2 #
3 # Copyright (c) 2012 The Chromium Authors. All rights reserved. 3 # Copyright (c) 2012 The Chromium Authors. All rights reserved.
4 # Use of this source code is governed by a BSD-style license that can be 4 # Use of this source code is governed by a BSD-style license that can be
5 # found in the LICENSE file. 5 # found in the LICENSE file.
6 6
7 # TODO(mmoss) This currently only works with official builds, since non-official 7 # TODO(mmoss) This currently only works with official builds, since non-official
8 # builds don't add the "${BUILDDIR}/installer/" files needed for packaging. 8 # builds don't add the "${BUILDDIR}/installer/" files needed for packaging.
9 9
10 set -e 10 set -e
(...skipping 112 matching lines...) Expand 10 before | Expand all | Expand 10 after
123 echo "ERROR: Shared library dependencies changed!" 123 echo "ERROR: Shared library dependencies changed!"
124 echo "If this is intentional, please update:" 124 echo "If this is intentional, please update:"
125 echo "chrome/installer/linux/rpm/expected_deps_i386" 125 echo "chrome/installer/linux/rpm/expected_deps_i386"
126 echo "chrome/installer/linux/rpm/expected_deps_x86_64" 126 echo "chrome/installer/linux/rpm/expected_deps_x86_64"
127 echo 127 echo
128 exit $BAD_DIFF 128 exit $BAD_DIFF
129 fi 129 fi
130 130
131 # lsb implies many dependencies. 131 # lsb implies many dependencies.
132 # 132 #
133 # libcurl was for NPAPI Flash. TODO(thestig): Remove?
134 #
135 # nss (bundled) is optional in LSB 4.0. Also specify a more recent version 133 # nss (bundled) is optional in LSB 4.0. Also specify a more recent version
136 # for security and stability updates. 134 # for security and stability updates.
137 # 135 #
138 # libstdc++.so.6 is for C++11 support. 136 # libstdc++.so.6 is for C++11 support.
139 # 137 #
140 # wget is for uploading crash reports with Breakpad. 138 # wget is for uploading crash reports with Breakpad.
141 # 139 #
142 # xdg-utils is still optional in LSB 4.0. 140 # xdg-utils is still optional in LSB 4.0.
143 # 141 #
144 # zlib may not need to be there. It should be included with LSB. 142 # zlib may not need to be there. It should be included with LSB.
145 # TODO(thestig): Figure out why there is an entry for zlib. 143 # TODO(thestig): Figure out why there is an entry for zlib.
146 # 144 #
147 # We want to depend on the system SSL certs so wget can upload crash reports 145 # We want to depend on the system SSL certs so wget can upload crash reports
148 # securely, but there's no common capability between the distros. Bugs filed: 146 # securely, but there's no common capability between the distros. Bugs filed:
149 # https://qa.mandriva.com/show_bug.cgi?id=55714 147 # https://qa.mandriva.com/show_bug.cgi?id=55714
150 # https://bugzilla.redhat.com/show_bug.cgi?id=538158 148 # https://bugzilla.redhat.com/show_bug.cgi?id=538158
151 # https://bugzilla.novell.com/show_bug.cgi?id=556248 149 # https://bugzilla.novell.com/show_bug.cgi?id=556248
152 # 150 #
153 # We want to depend on liberation-fonts as well, but there is no such package 151 # We want to depend on liberation-fonts as well, but there is no such package
154 # for Fedora. https://bugzilla.redhat.com/show_bug.cgi?id=1252564 152 # for Fedora. https://bugzilla.redhat.com/show_bug.cgi?id=1252564
155 # TODO(thestig): Use the liberation-fonts package once its available on all 153 # TODO(thestig): Use the liberation-fonts package once its available on all
156 # supported distros. 154 # supported distros.
157 DEPENDS="lsb >= 4.0, \ 155 DEPENDS="lsb >= 4.0, \
158 libcurl.so.4${EMPTY_VERSION}${PKG_ARCH}, \
159 libnss3.so(NSS_3.19.1)${PKG_ARCH}, \ 156 libnss3.so(NSS_3.19.1)${PKG_ARCH}, \
160 libstdc++.so.6(GLIBCXX_3.4.18)${PKG_ARCH}, \ 157 libstdc++.so.6(GLIBCXX_3.4.18)${PKG_ARCH}, \
161 wget, \ 158 wget, \
162 xdg-utils, \ 159 xdg-utils, \
163 zlib, \ 160 zlib, \
164 $(echo "${DETECTED_DEPENDS}" | tr '\n' ',')" 161 $(echo "${DETECTED_DEPENDS}" | tr '\n' ',')"
165 gen_spec 162 gen_spec
166 163
167 # Create temporary rpmbuild dirs. 164 # Create temporary rpmbuild dirs.
168 RPMBUILD_DIR=$(mktemp -d -t rpmbuild.XXXXXX) || exit 1 165 RPMBUILD_DIR=$(mktemp -d -t rpmbuild.XXXXXX) || exit 1
(...skipping 162 matching lines...) Expand 10 before | Expand all | Expand 10 after
331 ;; 328 ;;
332 * ) 329 * )
333 echo 330 echo
334 echo "ERROR: Don't know how to build RPMs for '$TARGETARCH'." 331 echo "ERROR: Don't know how to build RPMs for '$TARGETARCH'."
335 echo 332 echo
336 exit 1 333 exit 1
337 ;; 334 ;;
338 esac 335 esac
339 336
340 do_package 337 do_package
OLDNEW
« no previous file with comments | « chrome/installer/linux/debian/build.sh ('k') | no next file » | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698